Home

Create and send a new transaction

POST
https://zil.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Creates a new transaction and broadcasts it to the Zilliqa network. The transaction can be a transfer of ZIL or an interaction with a smart contract.

Body

application/json
jsonrpcstringrequired

JSON-RPC version

methodstringrequired

Method name

idintegerrequired

Request ID

paramsArray<object>required

Transaction parameters object

Show child attributes
senderstringrequired

Address of the sender in Bech32 format

recipientstringrequired

Address of the recipient in Bech32 format

amountstringrequired

Amount to send in Qa (1 ZIL = 10^12 Qa)

gasPricestringrequired

Gas price in Qa

gasLimitintegerrequired

Maximum gas units allowed for the transaction

nonceintegerrequired

Transaction nonce to prevent replay attacks

datastring

(Optional) Hex-encoded data payload for smart contract interaction

Response

200OK

Transaction created and broadcasted successfully

400Bad Request

Invalid request

500Internal Server Error

Server error